package depart;

import ca.ntro.app.NtroAppFx;
import ca.ntro.app.backend.BackendRegistrar;
import ca.ntro.app.frontend.FrontendRegistrarFx;
import ca.ntro.app.messages.MessageRegistrar;
import ca.ntro.app.models.ModelRegistrar;
import depart.frontal.FrontalDepart;
import depart.commun.modeles.ModeleA;
import depart.commun.valeurs.ValeurA;
import depart.dorsal.DorsalDepart;
import depart.commun.messages.MsgA;

public class AppDepart implements NtroAppFx {
	
	public static void main(String[] args) {

		NtroAppFx.launch(args);
	}

	@Override
	public void registerModels(ModelRegistrar registrar) {

		registrar.registerModel(ModeleA.class);
		registrar.registerValue(ValeurA.class);
	}

	@Override
	public void registerMessages(MessageRegistrar registrar) {

		registrar.registerMessage(MsgA.class);
	}

	@Override
	public void registerFrontend(FrontendRegistrarFx registrar) {

		registrar.registerFrontend(FrontalDepart.class);
	}

	@Override
	public void registerBackend(BackendRegistrar registrar) {

		registrar.registerBackend(DorsalDepart.class);
	}

}
